// Copyright 2021 The Oppia Authors. All Rights Reserved.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS-IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

/**
 * @fileoverview Module for the about foundation page.
 */

import { NgModule } from '@angular/core';
import { AboutFoundationPageComponent } from './about-foundation-page.component';
import { SharedComponentsModule } from 'components/shared-component.module';
import { AboutFoundationPageRootComponent } from './about-foundation-page-root.component';
import { CommonModule } from '@angular/common';
import { AboutFoundationPageRoutingModule } from './about-foundation-page-routing.module';

@NgModule({
  imports: [
    CommonModule,
    SharedComponentsModule,
    AboutFoundationPageRoutingModule
  ],
  declarations: [
    AboutFoundationPageComponent,
    AboutFoundationPageRootComponent
  ],
  entryComponents: [
    AboutFoundationPageComponent,
    AboutFoundationPageRootComponent
  ]
})
export class AboutFoundationPageModule {}
